Loading...
Searching...
No Matches
gridfire::Network Class Referenceabstract

`#include <network.h>`

Inheritance diagram for gridfire::Network:
[legend]

## Public Member Functions

| Network (const NetworkFormat format=NetworkFormat::APPROX8)
virtual | ~Network ()=default
NetworkFormat | getFormat () const
NetworkFormat | setFormat (const NetworkFormat format)
virtual NetOut | evaluate (const NetIn &netIn)=0
| Evaluate the network based on the input parameters.
virtual bool | isStiff () const
virtual void | setStiff (const bool stiff)

## Protected Attributes

fourdst::config::Config & | m_config
| Configuration instance.
fourdst::logging::LogManager & | m_logManager
| Log manager instance.
quill::Logger * | m_logger
| Logger instance.
NetworkFormat | m_format
| Format of the network.
fourdst::constant::Constants & | m_constants
bool | m_stiff = false
| Flag indicating if the network is stiff.

## Constructor & Destructor Documentation

## Network()

gridfire::Network::Network | ( | const NetworkFormat | format = NetworkFormat::APPROX8 | ) |

explicit

## ~Network()

virtual gridfire::Network::~Network | ( |  | ) |

virtualdefault

## Member Function Documentation

## evaluate()

virtual NetOut gridfire::Network::evaluate | ( | const NetIn & | netIn | ) |

pure virtual

Evaluate the network based on the input parameters.

Parameters

  netIn | Input parameters for the network evaluation.

Returns
  NetOut Output results from the network evaluation.

Implemented in gridfire::approx8::Approx8Network.

## getFormat()

NetworkFormat gridfire::Network::getFormat | ( |  | ) | const

nodiscard

## isStiff()

virtual bool gridfire::Network::isStiff | ( |  | ) | const

inlinenodiscardvirtual

Reimplemented in gridfire::approx8::Approx8Network.

## setFormat()

NetworkFormat gridfire::Network::setFormat | ( | const NetworkFormat | format | ) |

## setStiff()

virtual void gridfire::Network::setStiff | ( | const bool | stiff | ) |

inlinevirtual

Reimplemented in gridfire::approx8::Approx8Network.

## Member Data Documentation

## m_config

fourdst::config::Config& gridfire::Network::m_config

protected

Configuration instance.

## m_constants

fourdst::constant::Constants& gridfire::Network::m_constants

protected

## m_format

NetworkFormat gridfire::Network::m_format

protected

Format of the network.

## m_logger

quill::Logger* gridfire::Network::m_logger

protected

Logger instance.

## m_logManager

fourdst::logging::LogManager& gridfire::Network::m_logManager

protected

Log manager instance.

## m_stiff

bool gridfire::Network::m_stiff = false

protected

Flag indicating if the network is stiff.

The documentation for this class was generated from the following files:

- src/include/gridfire/network.h
- src/lib/network.cpp